Commit Graph

76 Commits

Author SHA1 Message Date
Eman Resu
ff094f60ad treewide: replace more singleton license lists 2026-07-15 14:04:39 -04:00
R. Ryantm
efb85db5be lprint: 1.3.1 -> 1.4.0 2026-06-08 20:14:23 +00:00
Thomas Butter
a0c70f7db3 lpd8editor: 0.0.16 -> 0.0.18 2026-05-10 09:16:43 +00:00
Peder Bergebakken Sundt
a6608c4af9 lp_solve: 5.5.2.11 -> 5.5.2.14 (#513093) 2026-05-01 14:20:04 +00:00
Florian Klink
f13c7066dc lpac: fix darwin build
Build with libmbim and libqmi only on linux, as these fail to evaluate.
pcsclite is provided by apple framework, similar to #459045.

We also need to set CMAKE_OSX_ARCHITECTURES to avoid trying to build for
both architectures, which fails. This requires pulling in a patch that's
already accepted upstream, but not yet in a release.
2026-04-27 14:25:34 +03:00
Thomas Butter
8cd66cf9c8 lp_solve: 5.5.2.11 -> 5.5.2.14 2026-04-24 13:56:02 +00:00
Paul Meyer
89ea456ad8 lprobe: 0.1.7 -> 0.1.9 (#502514) 2026-04-20 11:56:39 +00:00
Guy Chronister
09a85412e0 lp_solve: refactor 2026-03-23 10:50:39 -05:00
Guy Chronister
5492d23dcc lp_solve: migrate to by-name 2026-03-23 10:50:39 -05:00
R. Ryantm
81c3814ea7 lprobe: 0.1.7 -> 0.1.9 2026-03-23 10:43:51 +00:00
quantenzitrone
9380e05c3c various: switch buildGoModule packages to use finalAttrs
this shouldn't create any rebuilds

the following script was used to generate this:
```fish
#!/usr/bin/env fish

# nix shell .#nixfmt nixpkgs#{nixf-diagnose,ripgrep,sd}

set base (git rev-parse HEAD)

set scope pkgs/by-name
set builder buildGoModule

set files (rg --files-with-matches -F "$builder rec {" $scope | sort -u)

for file in $files
    echo $file
    sd -F "$builder rec {" "$builder (finalAttrs: {" $file
    # version
    sd -F 'version}' 'finalAttrs.version}' $file
    sd -F '${version' '${finalAttrs.version' $file
    sd -F '= version' '= finalAttrs.version' $file
    sd -F 'inherit version;' 'inherit (finalAttrs) version;' $file
    sd -F ' + version;' ' + finalAttrs.version;' $file
    sd 'replaceStrings (.*) version' 'replaceStrings $1 finalAttrs.version' $file
    sd -F 'splitVersion version' 'splitVersion finalAttrs.version' $file
    sd -F 'versionAtLeast version' 'versionAtLeast finalAttrs.version' $file
    sd 'versions\.([a-z]+) version' 'versions.$1 finalAttrs.version' $file
    # src
    sd -F 'src}' 'finalAttrs.src}' $file
    sd -F '${src' '${finalAttrs.src' $file
    sd -F '= src' '= finalAttrs.src' $file
    sd -F 'inherit src;' 'inherit (finalAttrs) src;' $file
    sd -F 'inherit (src' 'inherit (finalAttrs.src' $file
    # meta
    sd -F '${meta' '${finalAttrs.meta' $file
    sd -F '= meta' '= finalAttrs.meta' $file
    sd -F 'inherit (meta' 'inherit (finalAttrs.meta' $file
    # other
    sd -F 'inherit version src;' 'inherit (finalAttrs) version src;' $file
    sd -F 'inherit src version;' 'inherit (finalAttrs) src version;' $file
    sd -F 'makeLibraryPath buildInputs' 'makeLibraryPath finalAttrs.buildInputs' $file
    sd -F 'buildInputs}' 'finalAttrs.buildInputs}' $file
    sd -F 'desktopItem}' 'finalAttrs.desktopItem}' $file
    sd -F 'runtimeLibs}' 'finalAttrs.runtimeLibs}' $file
    sd -F 'libPath}' 'finalAttrs.libPath}' $file
    sd -F 'runtimeDependencies}' 'finalAttrs.runtimeDependencies}' $file
    sd -F 'nativeRuntimeInputs}' 'finalAttrs.nativeRuntimeInputs}' $file
    sd -F '(!doCheck)' '(!finalAttrs.doCheck)' $file
    sd -F 'optional doCheck' 'optional finalAttrs.doCheck' $file
    sd -F 'optionals doCheck' 'optionals finalAttrs.doCheck' $file
    sd -F '++ runtimeDependencies' '++ finalAttrs.runtimeDependencies' $file
    # pname (restored afterwards)
    sd -F 'pname}' 'finalAttrs.pname}' $file
    sd -F '${pname' '${finalAttrs.pname' $file
    sd -F '= pname' '= finalAttrs.pname' $file
    # close finalAttrs lambda
    echo ')' >>$file
    # catch some errors early
    if ! nixfmt $file
        git restore $file
        continue
    end
    if ! nixf-diagnose -i sema-primop-overridden $file
        git restore $file
        continue
    end
end

set torestore (rg -F .finalAttrs --files-with-matches $scope)
if test (count $torestore) -gt 0
    git restore $torestore
end
set torestore (rg -F finalAttrs.pname --files-with-matches $scope)
if test (count $torestore) -gt 0
    git restore $torestore
end

# commit for faster eval times
git add pkgs
git commit --no-gpg-sign -m temp
set torestore

for file in $files
    # file hasn't changed
    if git diff --quiet $base $file
        continue
    end
    # try to eval the package to definitely catch all errors
    echo $file
    set pname (string split / $file -f 4)
    if ! nix eval .#$pname
        set torestore $torestore $file
    end
end

# restore files that don't eval
git reset --soft $base
git restore --staged .
if test (count $torestore) -gt 0
    git restore $torestore
end
```

after that some manual cleanup was done:
- restoring files that cause changes in the number of lines
- restoring files that cause rebuilds
- restoring files that cause merge conflicts with staging
2026-02-07 09:28:59 +01:00
quantenzitrone
6b61249106 various: switch to finalAttrs pattern
this shouldn't create any rebuilds
2026-01-30 02:36:22 +01:00
R. Ryantm
17fe7d61f7 lprobe: 0.1.6 -> 0.1.7 2026-01-12 16:21:16 +00:00
Ihar Hrachyshka
567e8dfd8e treewide: clean up 'meta = with' pattern
This commit was created by a combination of scripts and tools:
- an ast-grep script to prefix things in meta with `lib.`,
- a modified nixf-diagnose / nixf combination to remove unused `with
lib;`, and
- regular nixfmt.

Co-authored-by: Wolfgang Walther <walther@technowledgy.de>
2025-12-10 18:09:49 +01:00
Robert Schütz
fb6b69a5e7 lparchive2epub: unpin ebooklib 2025-12-07 20:30:00 -08:00
pancaek
2bcd597830 lpd8editor: modernize, move to by-name/ 2025-10-19 12:18:22 -07:00
Weijia Wang
c41d36b5b5 lpcnet: fix build with cmake 4 2025-10-12 17:34:29 +02:00
Wolfgang Walther
c283f32d29 treewide: remove unused with
Auto-fixed by nixf-diagnose.
2025-10-05 10:50:41 +02:00
Florian Klink
aba5e04b79 lpac: support qmi and mbim
With this, I can successfully talk to a 9esim card plugged into a
Quectel EC25 LTE modem, setting PAC_APDU_QMI_DEVICE=/dev/cdc-wdm0 and
LPAC_APDU=qmi.
2025-08-21 16:21:31 +03:00
Florian Klink
ac7a93fb4a lpac: install docs
Regrettably there's no manpages yet, but USAGE.md and ENVVARS.md are
super useful.
2025-08-21 16:20:21 +03:00
Florian Klink
d6eeba2a3e lpac: 2.2.1 -> 2.3.0
See changelog at https://github.com/estkme-group/lpac/releases/tag/v2.3.0
2025-08-21 16:20:21 +03:00
Florian Klink
321ef47789 lpac: use cmakeBool 2025-08-21 16:20:21 +03:00
Florian Klink
d6a1de5693 lpac: add meta.changelog attribute 2025-08-21 16:20:21 +03:00
Gavin John
e550600c62 lprint: Add pandapip1 to maintainers 2025-08-13 14:30:45 -04:00
Gavin John
01be539805 lprint: Add enableExperimental parameter 2025-08-13 14:30:08 -04:00
Ben Siraphob
04b0a4711b treewide: standardize descriptions according to style guide (#430180) 2025-08-11 07:32:59 +00:00
Philip Taron
22b88ba79d treewide: adjust meta descriptions to avoid definite or indefinite articles
This patch was produced in Vim by me, a human being. All errors are the fault of the operator. I did try to be careful.

Co-authored-by: Peder Bergebakken Sundt <pbsds@hotmail.com>
Co-authored-by: dotlambda <nix@dotlambda.de>
2025-06-05 11:04:25 -07:00
Peder Bergebakken Sundt
c4f02ff31e treewide: substitute pname for strings 2025-05-29 17:04:28 +02:00
R. Ryantm
751a5af9ce lparchive2epub: 1.2.4 -> 1.3.2 2025-05-16 01:01:51 +00:00
R. Ryantm
18690c27d7 lprobe: 0.1.5 -> 0.1.6 2025-05-07 13:35:57 +00:00
Doron Behar
01fb9591f9 lpcnet: Fix tests on aarch64-linux 2025-05-06 10:48:57 +03:00
Doron Behar
4b745cb5dd lpcnet: Rename from LPCNet 2025-05-05 17:00:40 +03:00
Doron Behar
35c32dcda4 lpcnetfreedv: remove 2025-05-05 15:21:51 +03:00
Doron Behar
a156b87ee5 LPCNet: 0.5 -> 0.5-unstable-2025-01-19 2025-05-05 15:21:51 +03:00
Doron Behar
6b903a1a70 LPCNet: Fix Darwin build with upstream patch 2025-05-05 15:21:50 +03:00
Doron Behar
019a74e4b9 LPCNet: Add mvs as maintainer 2025-05-05 15:21:50 +03:00
Doron Behar
c0e22beb53 LPCNet: Remove unnecessary LD_LIBRARY_PATH in preCheck 2025-05-05 15:21:50 +03:00
Doron Behar
1aa107b5fc LPCNet: Remove not doing anything prePatch 2025-05-05 13:52:34 +03:00
Doron Behar
e664969a9c LPCNet: Remove unneeded octave from nativeCheckInputs 2025-05-05 13:38:45 +03:00
Doron Behar
a602bbe57c Revert "LPCNet: unbreak on clang"
This reverts commit 4a48f9d497.
2025-05-05 13:33:52 +03:00
Doron Behar
4a48f9d497 LPCNet: unbreak on clang
Co-Authored-By: Zexin Yuan <git@yzx9.xyz>
2025-05-03 20:41:53 +03:00
Doron Behar
c417e768aa LPCNet: small semantic modernizing changes 2025-05-03 20:36:24 +03:00
Sandro
df6a434c0e lpairs2: 2.3.1 -> 2.3.2 (#388383) 2025-04-14 23:52:18 +02:00
Winter
a19cd4ffb1 Revert "treewide: replace rev with tag"
This reverts commit 65a333600d.

This wasn't tested for correctness with something like fodwatch [0],
and should not have been (self-)merged so quickly, especially without
further review.

It also resulted in the breakage of at least one package [1] (and that's
the one we know of and was caught).

A few packages that were updated in between this commit and this revert
were not reverted back to using `rev`, but other than that, this is a
1:1 revert.

[0]: https://codeberg.org/raphaelr/fodwatch
[1]: https://github.com/NixOS/nixpkgs/pull/396904 / 758551e458
2025-04-08 02:57:25 -04:00
Pol Dellaiera
65a333600d treewide: replace rev with tag 2025-04-07 16:57:22 +02:00
Peder Bergebakken Sundt
357d2530e5 treewide: substitute pname for strings
Inspired by https://github.com/NixOS/nixpkgs/pull/387725#issuecomment-2704943777, script is based on https://github.com/NixOS/nixpkgs/pull/336172 using what i learned in https://github.com/NixOS/nixpkgs/pull/386865, part of https://github.com/NixOS/nixpkgs/issues/346453

Should be zero rebuilds.

All candidates were made using:

```shell

export NIXPKGS_ALLOW_UNFREE=1
export NIXPKGS_ALLOW_INSECURE=1
export NIXPKGS_ALLOW_BROKEN=1

git-wait restore .

test -s packages.json || ( set -x;
  time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages.json
)

list_attrpath_fname_col() {
    jq <packages.json 'to_entries[] | select(.value.meta.position==null|not) | "\(.key)\t\(.value.meta.position)"' -r |
        sed -e "s#\t$(realpath .)/#\t#" |
        sed -e 's#:\([0-9]*\)$#\t\1#' |
        grep . |
        grep -iv haskell |
        grep -iv /top-level/ |
        grep -iv chicken |
        grep pkgs/by-name/ |
        grep -iv build |
        grep -E '/(package|default)\.nix'
}

FLOCKDIR="$(mktemp -d)"
N_WORKERS=4
while read attrpath fname col; do
    grep -qE 'repo *= *("\$\{pname\}"|pname);' "$fname" || continue

    echo | (
        # mutex on fname
        flock --nonblock 200 || {
            >&2 echo "failed to aquire lock for $fname"
            exit 1
        }

        echo "$attrpath"
        data="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)" || exit
        test -n "$data" || exit
        pname="$(jq <<<"$data" .pname -r)"
        test -n "$pname" || exit

        (set -x
            sd -F '${pname}'  "$pname"         "$fname"
            sd -F ' = pname;' " = \"$pname\";" "$fname"
        )

        data2="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json)"
        if [[ "$data" = "$data2" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
            exit
        fi

        (set -x
            sd -F ' rec {' ' {' "$fname"
        )

        data3="$(nix eval --impure  --expr 'with import ./. {}; { inherit ('"$attrpath"') pname drvPath passthru meta; drvPath2='"$attrpath"'.src.drvPath; }' --json 2>/dev/nul)"

        if [[ "$data" = "$data3" ]]; then
            (set -x; git-wait add "$fname")
        else
            (set -x; git-wait restore "$fname")
        fi

    ) 200>"$FLOCKDIR"/"$(sha256sum - <<<"$fname" | cut -d' ' -f1)".lock &

    while [[ $(jobs -p | wc -l) -ge $N_WORKERS ]]; do
        wait -n < <(jobs -p) || true
    done

done < <(list_attrpath_fname_col)

wait

git restore .

time nix-env --extra-experimental-features no-url-literals --option system x86_64-linux -f ./. -qaP --json --meta --drv-path --out-path --show-trace --no-allow-import-from-derivation --arg config '{ allowAliases = false; }' > packages2.json
```

`diff packages{,2}.json` is empty, indicating that no package nor src derivation has changed.
I checked and cherry-picked the changes using `GIT_DIFF_OPTS='-u15' git -c interactive.singleKey=true add --patch`
2025-03-11 23:55:31 +01:00
Sergei Trofimovich
3c78d4ff8c lpairs2: enable parallel building 2025-03-09 06:47:30 +00:00
Sergei Trofimovich
f96e79c7d8 lpairs2: 2.3.1 -> 2.3.2 2025-03-09 06:45:27 +00:00
Peder Bergebakken Sundt
5aba99242e treewide: fix typos in comments
Made with

```shell
git restore .
fd '\.nix$' pkgs/ --type f -j1 -x bash -xc "$(cat <<"EOF"
    typos --no-check-filenames --write-changes "$1"
    git diff --exit-code "$1" && exit
    #( git diff "$1" | grep -qE "^\+ +[^# ]") && git restore "$1"
    count1="$( bat --language nix --diff --style changes "$1" --theme "Monokai Extended" --color always | aha --no-header | grep -E '^<span style="color:olive;">~</span> ' | wc -l )"
    count2="$( bat --language nix --diff --style changes "$1" --theme "Monokai Extended" --color always | aha --no-header | grep -E '^<span style="color:olive;">~</span> (<span style="color:#f8f8f2;"> *</span>)?<span style="color:#75715e;">.*</span>$' | wc -l )"
    [[ $count1 -ne $count2 ]] && git restore "$1"
EOF
)" -- {}
```

and filtered with `GIT_DIFF_OPTS='--unified=15' git -c interactive.singleKey=true add --patch`

I initially tried using the tree-sitter cli, python bindings and even ast-grep through various means, but this is what I ended up with.
2025-02-24 10:44:41 +01:00
Weijia Wang
bea00e036b lpcnetfreedv: unstable-2022-08-22 → 0.5-unstable-2025-01-19 (#382015) 2025-02-14 14:10:58 +01:00